/*-------------------------------------------------------------
 *  Copyright (c) 2011, MSS ComBlock. All rights reserved.
 *
 * 	Filename: RF.h
 *  Last modified: 4/24/11
 *  Authors:
 *  	Alain Zarembowitch / MSS ComBlock
 *  Version: 1.0
 *  Inheritance: N/A
 *  Description: RF components driver
 -------------------------------------------------------------*/
#ifndef RF_H_
#define RF_H_


/*-------- change this section according to the schematics ----------------------------------------*/
#define PIN_SYNTH_CLK_H() FIO1SET = 0x02000000;    	// port1[25]
#define PIN_SYNTH_DATA_H() FIO1SET = 0x04000000;	// port1[26]
#define PIN_SYNTH_LE_H() FIO1SET = 0x10000000;    	// port1[28]
#define PIN_SYNTH_ENABLE_H() FIO0SET = 0x00000200;  // port0[9]

#define PIN_SYNTH_CLK_L() FIO1CLR = 0x02000000;    	// port1[25]
#define PIN_SYNTH_DATA_L() FIO1CLR = 0x04000000;	// port1[26]
#define PIN_SYNTH_LE_L() FIO1CLR = 0x10000000;    	// port1[28]
#define PIN_SYNTH_ENABLE_L() FIO0CLR = 0x00000200;  // port0[9]

/*-------- end of schematics-dependent code ----------------------------------------*/
extern inline int pll_strobe_check(void);
extern long synth_check_lock(void);
extern unsigned long get_freq(long );
extern void adf4350_reg(long);
extern void init_tuner_pll(void);
extern void program_tuner_pll(void);
extern void RF_synthesizer_output_enable(long);
extern void digital_frequency_translation(void);
extern void setRFGain(void);
extern void DAC_init(void);
extern void DAC(long);
extern void PWM_init(void);
extern void PWM(long);
extern void RF_AGC_poll(void);
extern void BB_AGC_poll(void);
extern void RF_gain_increment(void);
extern void RF_gain_decrement(void);
//extern long pinDiodeAttenuatorCompensation(long);
extern void ADC_init(void);
extern void ADC_AGC_IN(void);
extern void ADC_RF_POWER_DET(void);
extern void setLPF(void);

#endif /* RF_H_ */
